Bug 840616 - katello-configure --help optparse.rb:395:in `+': can't convert nil into String (TypeError)
katello-configure --help optparse.rb:395:in `+': can't convert nil into Strin...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
urgent Severity urgent (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Og Maciel
: Triaged
Depends On: 840595
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 13:24 EDT by Eric Sammons
Modified: 2014-01-27 09:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
katello-configure --help returned a TypeError due to a null value being converted t a string. This fix corrects this behavior and katello-configure --help displays correctly.
Story Points: ---
Clone Of: 840595
Environment:
Last Closed: 2012-12-04 14:47:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-07-16 13:24:31 EDT
+++ This bug was initially created as a clone of Bug #840595 +++

Description of problem:
Running katello-configure --help returns a TypeError

Version-Release number of selected component (if applicable):
katello-headpin-0.2.24-1

Steps to Reproduce:
1. Install katello-headpin-all
2. katello-configure --help
  
Actual results:
can't convert nil into String
/usr/lib/ruby/1.8/optparse.rb:395:in `+': can't convert nil into String (TypeError)
	from /usr/lib/ruby/1.8/optparse.rb:395:in `summarize'
	from /usr/lib/ruby/1.8/optparse.rb:637:in `summarize'
	from /usr/lib/ruby/1.8/optparse.rb:634:in `reverse_each'
	from /usr/lib/ruby/1.8/optparse.rb:634:in `summarize'
	from /usr/lib/ruby/1.8/optparse.rb:1418:in `send'
	from /usr/lib/ruby/1.8/optparse.rb:1418:in `visit'
	from /usr/lib/ruby/1.8/optparse.rb:1417:in `reverse_each'
	from /usr/lib/ruby/1.8/optparse.rb:1417:in `visit'
	from /usr/lib/ruby/1.8/optparse.rb:970:in `summarize'
	from /usr/lib/ruby/1.8/optparse.rb:977:in `to_s'
	from /usr/sbin/katello-configure:259:in `puts'
	from /usr/sbin/katello-configure:259


Expected results:
Help returned.
Comment 1 Mike McCune 2012-08-07 12:28:47 EDT
works fine with latest build.
Comment 4 Og Maciel 2012-09-14 16:59:01 EDT
# katello-configure --help
Usage: /usr/sbin/katello-configure [options]
      --answer-file=ANSWER_FILE
           Path of the answer file
      --user-name=USER_NAME
           Katello administrative user (default: admin)
      --user-pass=USER_PASS
           Katello user's password (default: admin)
      --user-email=USER_EMAIL
           Katello user's email (default: root@localhost)
      --org-name=ORG_NAME
           Katello initial Organization (default: ACME_Corporation)
      --proxy-url=PROXY_URL
           HTTP Proxy URL (example: http://172.31.1.1)
      --proxy-port=PROXY_PORT
           HTTP Proxy port (default: 3128)
      --proxy-user=PROXY_USER
           HTTP Proxy user (proxy username, if auth is required)
      --proxy-pass=PROXY_PASS
           HTTP Proxy pass (proxy password, if auth is required)
      --db-name=DB_NAME
           Katello database name
      --db-user=DB_USER
           Katello database user
      --db-password=DB_PASSWORD
           Katello database password
      --candlepin-db-user=CANDLEPIN_DB_USER
           Candlepin database user
      --candlepin-db-password=CANDLEPIN_DB_PASSWORD
           Candlepin databse password
      --candlepin-db-name=CANDLEPIN_DB_NAME
           Candlepin database name
      --deployment=DEPLOYMENT
           Deployment type (one of "katello", "headpin", "cfse", "sam")
      --non-interactive=NON_INTERACTIVE
           Non-interactive installer mode
      --ssl-ca-password=SSL_CA_PASSWORD
           SSL CA password
      --ssl-ca-country=SSL_CA_COUNTRY
           SSL CA country
      --ssl-ca-state=SSL_CA_STATE
           SSL CA state
      --ssl-ca-city=SSL_CA_CITY
           SSL CA city
      --ssl-ca-org=SSL_CA_ORG
           SSL CA organization
      --ssl-ca-org-unit=SSL_CA_ORG_UNIT
           SSL CA organization unit
      --ssl-ca-cn=SSL_CA_CN
           SSL CA common name
      --ssl-ca-email=SSL_CA_EMAIL
           SSL CA e-mail address
      --ssl-cert-expiration=SSL_CERT_EXPIRATION
           SSL certificate expiration (in days)
      --ssl-ca-password-file=SSL_CA_PASSWORD_FILE
           SSL CA password file path
      --candlepin-ca-password-file=CANDLEPIN_CA_PASSWORD_FILE
           Candlepin CA password file path
      --keystore-password-file=KEYSTORE_PASSWORD_FILE
           Keystore password file path for Candlepin
      --nss-db-password-file=NSS_DB_PASSWORD_FILE
           NSS db password file path
      --nss-db-dir=NSS_DB_DIR
           NSS database path
      --ssl-pk12-password-file=SSL_PK12_PASSWORD_FILE
           PKCS12 password file path
      --auth-method=AUTH_METHOD
           Authentication method (database, ldap)
      --ldap-server=LDAP_SERVER
           LDAP server hostname
      --ldap-port=LDAP_PORT
           LDAP server hostname
      --ldap-server-type=LDAP_SERVER_TYPE
           LDAP server type (:posix, :active_directory, :free_ipa)
      --ldap-encryption=LDAP_ENCRYPTION
           Encryption method used in communication with LDAP server (<empty>, start_tls)
      --ldap-users-basedn=LDAP_USERS_BASEDN
           Base DN for users accounts
      --ldap-groups-basedn=LDAP_GROUPS_BASEDN
           Base DN for users groups
      --ldap-roles=LDAP_ROLES
           Use LDAP for roles membership definition (true, false)
      --ldap-anon-queries=LDAP_ANON_QUERIES
           Allow anonymous queries (true, false) for AD or FreeIPA
      --ldap-service-user=LDAP_SERVICE_USER
           Service username for non-anon queries (IPA, AD)
      --ldap-service-pass=LDAP_SERVICE_PASS
           Service password for non-anon queries (IPA, AD)
      --ldap-ad-domain=LDAP_AD_DOMAIN
           Domain for AD LDAP queries
      --es-min-mem=ES_MIN_MEM
           ElasticSearch ES_MIN_MEM java heap setting
      --es-max-mem=ES_MAX_MEM
           ElasticSearch ES_MAX_MEM java heap setting
      --psql-password-file=PSQL_PASSWORD_FILE
           PostgreSQL superuser password (NONE for no password)
      --oauth-token-file=OAUTH_TOKEN_FILE
           OAuth token file
      --pulp-user-password-file=PULP_USER_PASSWORD_FILE
           Pulp user password file
      --reset-data=RESET_DATA
           Set to 'YES' to erase all databases
      --reset-cache=RESET_CACHE
           Set to 'YES' to erase RPM packages from Pulp
  -b
      --no-bars
           Do not show progress bars and output puppet log instead
  -d
      --debug
           Print more debugging information to on the stdout (use with -b)
  -c
      --only-show-config
           Print the resulting configuration and exit
  -h
      --help
           Show this short summary (more in the man page)
Comment 5 Og Maciel 2012-09-14 17:00:20 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 7 errata-xmlrpc 2012-12-04 14:47:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.